質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Java

Javaは、1995年にサン・マイクロシステムズが開発したプログラミング言語です。表記法はC言語に似ていますが、既存のプログラミング言語の短所を踏まえていちから設計されており、最初からオブジェクト指向性を備えてデザインされています。セキュリティ面が強力であることや、ネットワーク環境での利用に向いていることが特徴です。Javaで作られたソフトウェアは基本的にいかなるプラットフォームでも作動します。

Spring

Spring Framework は、Javaプラットフォーム向けのオープンソースアプリケーションフレームワークです。 Java Platform上に、 Web ベースのアプリケーションを設計するための拡張機能が数多く用意されています。

解決済

STS Javaスターター・プロジェクト pom.xmlの不明なエラーを消したい

退会済みユーザー

退会済みユーザー

総合スコア0

Java

Javaは、1995年にサン・マイクロシステムズが開発したプログラミング言語です。表記法はC言語に似ていますが、既存のプログラミング言語の短所を踏まえていちから設計されており、最初からオブジェクト指向性を備えてデザインされています。セキュリティ面が強力であることや、ネットワーク環境での利用に向いていることが特徴です。Javaで作られたソフトウェアは基本的にいかなるプラットフォームでも作動します。

Spring

Spring Framework は、Javaプラットフォーム向けのオープンソースアプリケーションフレームワークです。 Java Platform上に、 Web ベースのアプリケーションを設計するための拡張機能が数多く用意されています。

1回答

-1評価

0クリップ

17086閲覧

投稿2019/06/02 13:20

編集2019/06/03 03:53

前提・実現したいこと

STS(Spring Tool Suite)でJavaスタータープロジェクトを新規で作成した際にpom.xmlファイル
上でエラーが発生しました。
1行目で発生しているのですが、エラー原因が「不明なエラー」と表示されています。

エラーの解決策をご存知の方教えてください。

Java

<?xml version="1.0" encoding="UTF-8"?> <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"> <modelVersion>4.0.0</modelVersion> <parent> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-parent</artifactId> <version>2.1.5.RELEASE</version> <relativePath/> <!-- lookup parent from repository --> </parent> <groupId>com.example</groupId> <artifactId>demo</artifactId> <version>0.0.1-SNAPSHOT</version> <name>demo</name> <description>Demo project for Spring Boot</description> <properties> <java.version>1.8</java.version> </properties> <dependencies> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-web</artifactId> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-test</artifactId> <scope>test</scope> </dependency> </dependencies> <build> <plugins> <plugin> <groupId>o![イメージ説明](fee98f2106652bbc3ecca262d04aa908.png)rg.springframework.boot</groupId> <artifactId>spring-boot-maven-plugin</artifactId> </plugin> </plugins> </build> </project>

問題が発生するまでの流れ・手順

1.STSを起動。
2.新規→Javaスタータープロジェクトを作成。
3.名前を入力。(HelloWorld)依存関係でWebを選択。完了。

上記の方法でスタータープロジェクトを作成しました。

試したこと

色々探ってみたのですが、依存関係でエラーが発生してるのかな?とは思いますが調べてもよく理解ができませんでした。
Eclipse関係でもあるので以下のサイトを参考に更新をしてみましたが解決しません。
https://teratail.com/questions/191324

一度は解決したが、またエラーが発生。
STS起動→ヘルプ→更新の確認→更新後
Maven→プロジェクトの更新。
↑エラーが一度消えたが、再度発生。

ヘルプ→マーケットプレースにて「m2e connector」を検索。ヒットせず。
似たような名前の m2e-apt1.5.2 はインストール済み。

補足情報(FW/ツールのバージョンなど)

STS Ver.4.2.1

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

asahina1979

2019/06/02 23:13

同じ質問と思われてるのがつい最近解決してますが、まずは似た事象が無いか調べてから質問してください。
退会済みユーザー

退会済みユーザー

2019/06/03 02:13

こんにちわ。 申し訳ないです。 似たような問題での解決法は調べて試してみました。 解決したと思ったのですが、同じエラーが再発しました。 再度同じ解決法を試みましたが解決できませんでした。
asahina1979

2019/06/03 03:11 編集

正常に更新されてないような?再起動した?
退会済みユーザー

退会済みユーザー

2019/06/03 03:46

はい。 再起動もしましたがエラーが表示されたままです。
ptiringo

2019/06/03 08:52

https://stackoverflow.com/questions/56142369/why-am-i-getting-unknown-error-in-line-1-of-pom-xml こちらで報告されている事象と同一のものと思われます。 m2e connector for mavenarchiver はインストールされていますか? インストールされている場合はそのバージョンはどうなっていますか? Eclipse のメニューから Help > Install New Software... > already installed? と進み、インストールされたソフトウェアの中に m2e connector for mavenarchiver があるかを確認してもらえますか?
退会済みユーザー

退会済みユーザー

2019/06/04 01:09

m2e connector for mavenarchiver をインストール済みファイル、マーケットプレースのそれぞれで探してみましたが、ヒットしませんでした。
udonra-men

2019/06/04 07:40

ptiringoさんが張ってくださったリンク先のベストアンサーには、  https://download.eclipse.org/m2e-wtp/releases/1.4/ から取得してくださいと書いていますが、実施しましたでしょうか? 具体的には、 ①Help > 新規ソフトウェアのインストールを選択 ②作業対象にURL( https://download.eclipse.org/m2e-wtp/releases/1.4/ )を記入 ③m2eコネクターを選択してインストール となると思いますが。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Java

Javaは、1995年にサン・マイクロシステムズが開発したプログラミング言語です。表記法はC言語に似ていますが、既存のプログラミング言語の短所を踏まえていちから設計されており、最初からオブジェクト指向性を備えてデザインされています。セキュリティ面が強力であることや、ネットワーク環境での利用に向いていることが特徴です。Javaで作られたソフトウェアは基本的にいかなるプラットフォームでも作動します。

Spring

Spring Framework は、Javaプラットフォーム向けのオープンソースアプリケーションフレームワークです。 Java Platform上に、 Web ベースのアプリケーションを設計するための拡張機能が数多く用意されています。